optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.MiscSystems.SnapshotManager Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.SnapshotManager:

## Public Member Functions
| __init__ (self, board=None)
| SaveSnapshot (self, index)
| Saves actual configuration of the driver into memory available slot.
| LoadSnapshot (self, index)
| Loads the saved snapshot (configuration) into driver.
| GetSnapShotCapacity (self)
| Gets number of available snapshots slots in memory.
| GetDefaultSnapShot (self)
| Gets the index of the default (startup) snapshot.
| SetDefaultSnapShot (self, value)
| Sets the index of the default (startup) snapshot.
| GetErrorSystem (self)
| Gets the ID of system which caused the last snapshot error.
| GetErrorRegister (self)
| Gets the ID of register which caused the last snapshot error.
| GetErrorValue (self)
| Gets the value which caused the last snapshot error.
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
| sys_id
| snapshot_capacity
| default_snapshot
| error_system
| error_register
| error_value
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Snapshot Manager
    System ID: 0x27
    *
    * A system that supports saving and loading firmware configurations.
    *
    * ### Register Map:
    *
    * | Address | Name              | Default Value | Description                                         | Type   | Access     |
    * | --------|------------------ |---------------|-----------------------------------------------------|--------|----------- |
    * | 0x2700  | Snapshot capacity | 2             | Number of available snapshot slots, read-only       | uint32 | read only  |
    * | 0x2701  | Default snapshot  | 0             | Snapshot to load on system startup                  | uint32 | read write |
    * | 0x2702  | Error system      | 0             | ID of system which caused the last snapshot error   | uint8  | read only  |
    * | 0x2703  | Error register    | 0             | ID of register which caused the last snapshot error | uint8  | read only  |
    * | 0x2704  | Error value       | 0             | ID of value which caused the last snapshot error    | uint32 | read only  |

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.SnapshotManager.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ GetDefaultSnapShot()

optoKummenberg.registers.MiscSystems.SnapshotManager.GetDefaultSnapShot | ( |  | self | ) |

Gets the index of the default (startup) snapshot.

## ◆ GetErrorRegister()

optoKummenberg.registers.MiscSystems.SnapshotManager.GetErrorRegister | ( |  | self | ) |

Gets the ID of register which caused the last snapshot error.

Used for debugging of the configuration.

## ◆ GetErrorSystem()

optoKummenberg.registers.MiscSystems.SnapshotManager.GetErrorSystem | ( |  | self | ) |

Gets the ID of system which caused the last snapshot error.

Used for debugging of the configuration.

## ◆ GetErrorValue()

optoKummenberg.registers.MiscSystems.SnapshotManager.GetErrorValue | ( |  | self | ) |

Gets the value which caused the last snapshot error.

Used for debugging of the configuration.

## ◆ GetSnapShotCapacity()

optoKummenberg.registers.MiscSystems.SnapshotManager.GetSnapShotCapacity | ( |  | self | ) |

Gets number of available snapshots slots in memory.

## ◆ LoadSnapshot()

optoKummenberg.registers.MiscSystems.SnapshotManager.LoadSnapshot | ( |  | self,
|  |  | index )

Loads the saved snapshot (configuration) into driver.

Snapshot with index 0 contains factory settings and can be used to reset the driver to factory default configuration.

## ◆ SaveSnapshot()

optoKummenberg.registers.MiscSystems.SnapshotManager.SaveSnapshot | ( |  | self,
|  |  | index )

Saves actual configuration of the driver into memory available slot.

(all register values) Nubmer of available slots can be obtained by GetSnapShotCapacity method. Index 0 is reserved for factory settings and cannot be overwritten. This configuration can then be loaded by LoadSnapshot method. Snapshot can also be configured as startup snapshot with SetDefaultSnapShot method, driver will then start up with this configuration.

## ◆ SetDefaultSnapShot()

optoKummenberg.registers.MiscSystems.SnapshotManager.SetDefaultSnapShot | ( |  | self,
|  |  | value )

Sets the index of the default (startup) snapshot.

Driver will start with this configuration on the next power startup.

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.MiscSystems.SnapshotManager._readonly
| protected

## ◆ default_snapshot

optoKummenberg.registers.MiscSystems.SnapshotManager.default_snapshot

## ◆ error_register

optoKummenberg.registers.MiscSystems.SnapshotManager.error_register

## ◆ error_system

optoKummenberg.registers.MiscSystems.SnapshotManager.error_system

## ◆ error_value

optoKummenberg.registers.MiscSystems.SnapshotManager.error_value

## ◆ name

optoKummenberg.registers.MiscSystems.SnapshotManager.name

## ◆ snapshot_capacity

optoKummenberg.registers.MiscSystems.SnapshotManager.snapshot_capacity

## ◆ sys_id

optoKummenberg.registers.MiscSystems.SnapshotManager.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py